.suport-team {
    position: fixed;
    z-index: 991;
    bottom: 20px;
    width: 375px;
    right: 20px;
    background: #FFFFFF;
    border: 1px solid var(--gray100);
    @extend .transition_ease;
    transition-duration: 300ms;
    transition-property: all;
    transition-timing-function: cubic-bezier(.7, 1, .7, 1);
    transform: translateX(120%);

    .head {
        border-bottom: 1px solid var(--gray100);
        height: 60px;
        line-height: 60px;

        .close-chat {
            float: right;
            font-size: 18px;
            margin-right: 16px;
            cursor: pointer;
        }
    }

    .survey-chat {
        text-align: center;
        padding: 80px 16px;
        color: var(--dark_gray);
        font-size: 16px;
        line-height: 1.5;

        .vote-smile {
            margin-top: 40px;
            display: flex;
            justify-content: center;

            a {
                display: inline-block;
                width: 25%;

                svg {
                    width: 25px;
                    height: 25px;
                }

                span {
                    display: block;
                    opacity: 0;
                    transition: 0.5s ease;
                    font-weight: 600;
                    line-height: 1.2;
                    margin-top: 15px;
                }

                &:hover,
                &.active {
                    span {
                        opacity: 1;
                    }

                    color: var(--dark_gray);
                }

                &.active {
                    color: var(--color_main);
                }
            }
        }
    }

    .admin-active {
        border-bottom: 0.5px solid var(--gray100);
        padding: 16px 20px;

        .list {
            display: flex;
            margin: 0 -6px;
            padding: 0;

            li {
                margin-bottom: 0;
                position: relative;

                &:before {
                    display: none;
                }

                a {
                    border-radius: 50%;
                    background: var(--gray100);
                    font-size: 18px;
                    width: 48px;
                    height: 48px;
                    line-height: 48px;
                    text-align: center;
                    position: relative;
                    display: inline-block;
                    margin: 0 6px;
                }

                &.online {
                    &::after {
                        content: "";
                        background: #43BF75;
                        border: 2px solid #fff;
                        width: 16px;
                        height: 16px;
                        border-radius: 50%;
                        position: absolute;
                        right: 8px;
                        top: -2px;
                    }

                    &.active {
                        a {
                            border: 2px solid var(--color_main);

                            &::before {
                                content: '';
                                display: block;
                                border-top: 1px solid var(--gray100);
                                border-right: 1px solid var(--gray100);
                                width: 10px;
                                height: 10px;
                                position: absolute;
                                left: 15px;
                                bottom: -24px;
                                transform: rotate(-45deg);
                            }

                            &::after {
                                content: "";
                                position: absolute;
                                bottom: -20px;
                                left: 14px;
                                border-right: 6px solid transparent;
                                border-left: 6px solid transparent;
                                border-bottom: 6px solid #fff;
                            }
                        }
                    }
                }
            }
        }
    }

    &.active {
        h3 {
            line-height: 57px;
            height: 57px;
            font-size: 20px;
            font-weight: bold;
            padding: 0 22px;
        }

        .content-chat {
            font-size: 16px;
            color: #000;
            line-height: 1.6;

            .scrollbar-inner {
                padding: 20px 15px 0 15px;
                max-height: 360px;
                margin-bottom: 10px;
            }

            .date {
                color: var(--gray500);
                font-size: 12px;
                margin-bottom: 16px;
            }

            &__tl {
                display: block;
                margin-bottom: 8px;
                position: relative;

                .reply {
                    position: relative;
                }
            }


            .admin-reply {
                position: relative;
                padding-right: 60px;

                .reply {
                    background: var(--gray50);
                    border-radius: 0px 8px 8px 8px;
                    display: inline-block;
                    padding: 10px 16px;
                }
            }

            .user-reply {
                text-align: right;
                padding-left: 60px;
                margin-bottom: 15px;
                position: relative;

                .reply {
                    background: #D1F5F9;
                    border-radius: 8px 0 8px 8px;
                    display: inline-block;
                    padding: 10px 16px;
                }

            }
        }

        .input--text {
            padding: 8px 55px 8px 15px;
            position: relative;
            border-top: 0.5px solid var(--gray50);

            textarea {
                background: var(--gray50);
                border-radius: 4px;
                height: 48px;
                border: 1px solid var(--gray50);
                resize: none;
                outline: 0;
                font-size: 16px;
                padding: 14px 35px 0 16px;
                overflow: hidden;
                width: 100%;
                line-height: 1.3;
                @extend .transition_ease;
            }

            .up-file {
                position: absolute;
                right: 65px;
                margin: 0;
                top: 17px;

                input {
                    display: none;
                }

                i {
                    color: #000;
                    font-size: 18px;
                }
            }

            .submit-comment {
                position: absolute;
                background: none;
                height: 48px;
                right: 8px;
                padding: 3px 10px;
                outline: 0;
                box-shadow: none;
                border: 0;

                i {
                    color: #000;
                    font-size: 18px;
                }
            }
        }
    }
}

.open-chat {
    .suport-team {
        transform: translateX(0%);
    }
}

@media (max-width: 480px) {
    .suport-team {
        bottom: 0;
        top: 0;
        width: 100%;
        left: 0;
        right: 0;
        border: 0;
        z-index: 9999;

        &.active {
            .content-chat {
                .scrollbar-inner {
                    max-height: calc(100vh - 220px);
                }
            }
        }
    }

    .open-chat {
        .overlay-bg {
            display: block
        }
    }
}